Summary:                Text based web browser that supports tables and frames
Name:                   w3m
Version:                0.3.2.2
Release:                1mdk
Group:                  Networking/WWW
Source:                 %name-%version.tar.bz2
Patch:                  %name-0.3.2-path.patch.bz2
BuildRoot:              %_tmppath/%name-%version-%release-buildroot
License:                Distributable
URL:                    http://w3m.sf.net
Requires:               perl, libncurses5, libimlib1 >= 1.9.8, libungif4, openssl, libgdk-pixbuf2
BuildRequires:          libncurses5-devel, libimlib1-devel >= 1.9.8, libungif4-devel, libgdk-pixbuf-devel, openssl-devel
Provides:               webclient

%description
w3m is a pager with WWW capability. It IS a pager, but it can be used as
a text-mode WWW browser.

     The features of w3m are as follows:

* When reading HTML a document, you can follow links and view images
  (using external image viewer).
* It has an 'internet message mode', which determines the type of
  document from the header. If the Content-Type: field of the document
  is text/html, that document is displayed as HTML document.
* You can change URL description like 'http://hogege.net' in plain text
  into a link to that URL.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
find . -type d -name CVS | xargs rm -fr
%patch -p1 -b .paths

%build
host=`hostname`
cat <<EOF > config.param
# Configuretion at $host
bindir='%_bindir'
libdir='%_libdir/%name'
helpdir='%_datadir/%name'
sysconfdir='%_sysconfdir/%name'
lang=EN
display_code=x
system_code=x
kanji_symbols=n
use_lynx_key=n
dmodel=6
use_color=y
use_mouse=y
use_menu=y
use_cookie=y
use_ssl=y
use_ssl_verify=y
use_ansi_color=y
use_nntp=y
use_gopher=y
use_alarm=y
use_mark=y
use_dict=n
use_history=y
use_bg_color=y
format_nice=n
id_ext=y
use_bufinfo=y
use_egd=y
enable_remove_trailingspaces=y
menu_thin_frame=n
emacs_like_lineedit=y
vi_prec_num=y
label_topline=y
nextpage_topline=y
ftppass_hostnamegen=y
table_expand=n
table_no_compact=n
nowrap=y
matrix=y
ded='/bin/vi'
dmail='mailx'
dbrowser='mozilla'
def_image_viewer='qiv'
def_audio_player='mplayer'
dcc='gcc'
dcflags='%optflags'
dtermlib='-lncurses'
dldflags=''
use_help_cgi=y
EOF

./configure --nonstop \
            --model=monster \
            --mimetypes=/etc/mime.types
#            --gc-includedir="${LOCALBASE}/include" \
#            --gc-libdir="${LOCALBASE}/lib" \

%make


%install
rm -rf %buildroot

mkdir -p %buildroot{%_bindir,{%_datadir,%_libdir}/%name,%_mandir/{,ja_JP.ujis}/man1}

%make PREFIX=%buildroot%_prefix \
      BIN_DIR=%buildroot%_bindir \
      HELP_DIR=%buildroot%_datadir/%name \
      LIB_DIR=%buildroot%_libdir/%name \
      MAN_DIR=%buildroot%_mandir \
      install

install -m 644 doc-jp/w3m.1 %buildroot%_mandir/ja_JP.ujis/man1
install -m 644 doc/w3m.1 %buildroot%_mandir/man1

rm -rf $RPM_BUILD_ROOT%_mandir/ja*

# menu entry
mkdir -p %buildroot%_menudir
cat > %buildroot%_menudir/%name << EOF
?package(%name): \
    command="%_bindir/%name http://www.linux-mandrake.com" \
    title="W3m" \
    longtitle="%summary" \
    section="%group" \
    icon="www_section.png" \
    needs="text"
EOF

%find_lang %name


%clean
rm -rf %buildroot


%post
%{update_menus}


%postun
%{clean_menus}


%files -f %name.lang
%defattr(-,root,root)
%doc README doc doc-jp w3mhelp-lynx_*
%_bindir/*
%_menudir/%name
%_datadir/%name
%_libdir/%name
%_mandir/man1/*

%changelog
* Sat Jan 11 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2.2-1mdk
- 0.3.2.2

* Thu Dec  5 2002 Han Boetes <han@linux-mandrake.com> 0.3.2-3mdk
- added mouse and ssl support
- added features from the openbsd-port
- removed lang (it wasn't there)

* Fri Nov 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-2mdk
- fix [Bug 572] [w3m] : use correct path for perl interpreter
- fix [Bug 573] [w3m] : add missing manpages

* Tue Nov 05 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.2-1mdk
- "sanitazed spec" release
- new release
- fix %%define abuse
- dont reinvent defined values automatically handled by rpm
- don't pass useless arguments to %%setup
- overall big spec cleaning
- rediff patch 0
- fix menu-title-not-capitalized

* Wed Jan 09 2002 Alexander Skwar <ASkwar@Linux-Mandrake.com> 0.2.4-1mdk
- 0.2.4

* Sun Dec 23 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 0.2.3.2-1mdk
- 0.2.3.2

* Fri Dec 21 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 0.2.3-1mdk
- 0.2.3
- Update URL
- Redo patch0 (path)

* Fri Nov 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.1-0.1mdk
- remove patch2

* Tue Aug 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.11-0.2mdk
- rebuild

* Tue Jan 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.11-0.1mdk
- used srpm from  Alexander Skwar <ASkwar@Linux-Mandrake.com> :
        - New pre-release version, fixing some crashes
        - Added menu entry

* Fri Aug 11 2000 Alexander Skwar <ASkwar@DigitalProjects.com> 0.1.10-2mdk
- Added Provides: webclient

* Thu Aug 10 2000 Alexander Skwar <ASkwar@DigitalProjects.com> 0.1.10-1mdk
- New version
- Patched the patch to still apply
- Compile with English as the default
- *NO* lynx keys, *NO* mouse
- Use %%{_prefix}/vim instead of /bin/vi

* Wed May 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.6-2mdk
- fix group
- fix permission on spec

* Tue Jan 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.1.6-1mdk
- 0.1.6.
- clean up specs.

* Tue Dec 14 1999 Pixel <pixel@mandrakesoft.com>
- clean up and mandrake adaptation

